Subject: Ticket Assigned - Order not Delivered
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 08 Sep 2020 04:37:03 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order not Delivered My order ID is 6219291709.
When i track my order it says it was undelivered. I checked out as a guest
i don't have an account, and I can not check my order history.

I contacted support and they said my number is unreachable but I have not
received any calls my number is 0552684020. please let me know how I can
solve this issue.

regards,
noorah

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1462129